Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Public Attributes | List of all members
radm::KvmPort::Capabilities Struct Reference

## Public Attributes
PortType | type
| Port type of this port.
boolean | absoluteMouse
| Absolute mouse mode can be used on this port.
boolean | virtualMedia
| Virtual media / mass storage can be used on this port.
boolean | usbSettings
| The port supports using the 'usb' part of `Settings`.
boolean | usbProfiles
| The port supports setting active and selected USB profiles in `Settings`.
boolean | digitalVideo
| The port has a digital video input.
boolean | ddc
| The port supports EDID communication towards the target and thus supports setting preferred resolution in `Settings`.
boolean | audio
| The port has audio support.
boolean | smartCard
| The port has smart card support.
boolean | dviCompatMode
| The port has an HDMI video input and thus supports setting DVI compat mode in `Settings`.
boolean | cim
| CIMs can be attached to this port.
boolean | blade
| The port has support for blade server configuration.

## Detailed Description

Definition at line 20 of file KvmPort.idl.

## Member Data Documentation

## ◆ absoluteMouse

boolean radm::KvmPort::Capabilities::absoluteMouse

Absolute mouse mode can be used on this port.

Definition at line 22 of file KvmPort.idl.

## ◆ audio

boolean radm::KvmPort::Capabilities::audio

The port has audio support.

Definition at line 28 of file KvmPort.idl.

## ◆ blade

boolean radm::KvmPort::Capabilities::blade

The port has support for blade server configuration.

Definition at line 32 of file KvmPort.idl.

## ◆ cim

boolean radm::KvmPort::Capabilities::cim

CIMs can be attached to this port.

Definition at line 31 of file KvmPort.idl.

## ◆ ddc

boolean radm::KvmPort::Capabilities::ddc

The port supports EDID communication towards the target and thus supports setting preferred resolution in `Settings`.

Definition at line 27 of file KvmPort.idl.

## ◆ digitalVideo

boolean radm::KvmPort::Capabilities::digitalVideo

The port has a digital video input.

Definition at line 26 of file KvmPort.idl.

## ◆ dviCompatMode

boolean radm::KvmPort::Capabilities::dviCompatMode

The port has an HDMI video input and thus supports setting DVI compat mode in `Settings`.

Definition at line 30 of file KvmPort.idl.

## ◆ smartCard

boolean radm::KvmPort::Capabilities::smartCard

The port has smart card support.

Definition at line 29 of file KvmPort.idl.

## ◆ type

PortType radm::KvmPort::Capabilities::type

Port type of this port.

Definition at line 21 of file KvmPort.idl.

## ◆ usbProfiles

boolean radm::KvmPort::Capabilities::usbProfiles

The port supports setting active and selected USB profiles in `Settings`.

Definition at line 25 of file KvmPort.idl.

## ◆ usbSettings

boolean radm::KvmPort::Capabilities::usbSettings

The port supports using the 'usb' part of `Settings`.

Definition at line 24 of file KvmPort.idl.

## ◆ virtualMedia

boolean radm::KvmPort::Capabilities::virtualMedia

Virtual media / mass storage can be used on this port.

Definition at line 23 of file KvmPort.idl.

The documentation for this struct was generated from the following file:

- KvmPort.idl